Web制作(プログラミング)

javaでコンパイルが出来ない場合

javaを初回インストール後、コマンドプロンプトでコンパイルした際に

Error: A JNI error has occurred, please check your installation and try again
Exception in thread “main” java.lang.UnsupportedClassVersionError: ~

のようなエラーメッセージが出力された場合、インストールしたJDK(java Development Kit)開発環境とJRE(Java Runtime Environment)実行環境のバージョンが違う事が原因です。

下記2つのコマンドを入力します。
javac -version
java -version

赤枠で囲った数字のバージョンでそろえる必要が有ります。今回は、バージョン8で揃っているので、問題有りません。もしjava -versionがjava 1.9.0~になっていた場合、古いjdkをアンインストール後、java jdk 9を検索してインストールしてください。